# std::__num_base Class Reference

List of all members.

## Detailed Description

Definition at line 1541 of file locale_facets.h.

## Public Types

- enum {
  _S_ominus, _S_oplus, _S_ox, _S_oX,
  _S_odigits, _S_odigits_end, _S_oudigits, _S_oudigits_end,
  _S_oe, _S_oE, _S_oend
  }
- enum {
  _S_iminus, _S_iplus, _S_ix, _S_iX,
  _S_izero, _S_ie, _S_iE, _S_iend
  }

## Static Public Member Functions

- static void _S_format_float (const ios_base &__io, char *__fptr, char __mod)

## Static Public Attributes

- static const char * _S_atoms_in
- static const char * _S_atoms_out

The documentation for this class was generated from the following file:

- locale_facets.h